#!/usr/bin/env bash
#dockerfile from ansible

# Check if run as root
if [ "$EUID" -eq 0 ]; then
    echo "Please DO NOT run the worker script as root"
    exit 1
fi

PATH_TO_MISP='/var/www/MISP'
RUN_PHP="/usr/bin/scl enable rh-php72"
PHP_INI="/etc/opt/rh/rh-php72/php.ini"
CAKE="${PATH_TO_MISP}/app/Console/cake"

# Extract base directory where this script is and cd into it
cd "${0%/*}"
$RUN_PHP -- $CAKE CakeResque.CakeResque stop --all
$RUN_PHP -- $CAKE CakeResque.CakeResque start --interval 5 --queue default
$RUN_PHP -- $CAKE CakeResque.CakeResque start --interval 5 --queue prio
$RUN_PHP -- $CAKE CakeResque.CakeResque start --interval 5 --queue cache
$RUN_PHP -- $CAKE CakeResque.CakeResque start --interval 5 --queue email
$RUN_PHP -- $CAKE CakeResque.CakeResque start --interval 5 --queue update
$RUN_PHP -- $CAKE CakeResque.CakeResque startscheduler --interval 5

exit 0
